package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 销售合同变更-人员信息历史表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("sales_contract_supplement_person_info_history")
public class SalesContractSupplementPersonInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更Id
     */
    @TableField("sales_contract_supplement_his_info_id")
    private Long cSalesContractSupplementHisInfoId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getcSalesContractSupplementHisInfoId() {
        return cSalesContractSupplementHisInfoId;
    }

    public void setcSalesContractSupplementHisInfoId(Long cSalesContractSupplementHisInfoId) {
        this.cSalesContractSupplementHisInfoId = cSalesContractSupplementHisInfoId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SalesContractSupplementPersonInfoHistory{" +
                ", name=" + name +
                ", type=" + type +
                ", mobile=" + mobile +
                ", remark=" + remark +
                "}";
    }
}
